GET api/lockapi/locksbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "c3c8e78b-12a6-4177-bfed-a2620024846c",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "5c83e4a7-169f-47cd-bb72-49a5e38c47d0",
"guard_id": "79dfd2e8-92f7-48b8-bf64-24cbe1977c27",
"active": true
},
{
"id": "c3c8e78b-12a6-4177-bfed-a2620024846c",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "5c83e4a7-169f-47cd-bb72-49a5e38c47d0",
"guard_id": "79dfd2e8-92f7-48b8-bf64-24cbe1977c27",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>5c83e4a7-169f-47cd-bb72-49a5e38c47d0</distribution_id>
<guard_id>79dfd2e8-92f7-48b8-bf64-24cbe1977c27</guard_id>
<id>c3c8e78b-12a6-4177-bfed-a2620024846c</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>5c83e4a7-169f-47cd-bb72-49a5e38c47d0</distribution_id>
<guard_id>79dfd2e8-92f7-48b8-bf64-24cbe1977c27</guard_id>
<id>c3c8e78b-12a6-4177-bfed-a2620024846c</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>